By username
curl --request GET \
--url https://api.neynar.com/v2/farcaster/user/by_username/ \
--header 'x-api-key: <api-key>'{
"user": {
"auth_addresses": [
{
"address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"app": {
"fid": 3,
"custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"display_name": "<string>",
"pfp_url": "<string>",
"score": 123,
"username": "<string>"
}
}
],
"custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"fid": 3,
"follower_count": 123,
"following_count": 123,
"profile": {
"bio": {
"text": "<string>",
"mentioned_channels": [
{
"id": "<string>",
"name": "<string>",
"image_url": "<string>",
"viewer_context": {
"following": true
}
}
],
"mentioned_channels_ranges": [
{
"end": 1,
"start": 1
}
],
"mentioned_profiles": [
{
"fid": 3,
"custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"display_name": "<string>",
"pfp_url": "<string>",
"score": 123,
"username": "<string>"
}
],
"mentioned_profiles_ranges": [
{
"end": 1,
"start": 1
}
]
},
"banner": {
"url": "<string>"
},
"live_at": {
"is_live": true,
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>"
},
"location": {
"latitude": 0,
"longitude": 0,
"address": {
"city": "<string>",
"country": "<string>",
"country_code": "<string>",
"state": "<string>",
"state_code": "<string>"
},
"radius": 1
}
},
"registered_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"verifications": [
"0x5a927ac639636e534b678e81768ca19e2c6280b7"
],
"verified_accounts": [
{
"username": "<string>"
}
],
"verified_addresses": {
"eth_addresses": [
"0x5a927ac639636e534b678e81768ca19e2c6280b7"
],
"primary": {
"eth_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"sol_address": "<string>"
},
"sol_addresses": [
"<string>"
]
},
"display_name": "<string>",
"experimental": {
"neynar_user_score": 123,
"deprecation_notice": "<string>"
},
"pfp_url": "<string>",
"pro": {
"expires_at": "2023-11-07T05:31:56Z",
"subscribed_at": "2023-11-07T05:31:56Z"
},
"score": 123,
"viewer_context": {
"blocked_by": true,
"blocking": true,
"followed_by": true,
"following": true
}
}
}Fetch User Information
By username
Fetches a single hydrated user object given a username
GET
/
v2
/
farcaster
/
user
/
by_username
By username
curl --request GET \
--url https://api.neynar.com/v2/farcaster/user/by_username/ \
--header 'x-api-key: <api-key>'{
"user": {
"auth_addresses": [
{
"address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"app": {
"fid": 3,
"custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"display_name": "<string>",
"pfp_url": "<string>",
"score": 123,
"username": "<string>"
}
}
],
"custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"fid": 3,
"follower_count": 123,
"following_count": 123,
"profile": {
"bio": {
"text": "<string>",
"mentioned_channels": [
{
"id": "<string>",
"name": "<string>",
"image_url": "<string>",
"viewer_context": {
"following": true
}
}
],
"mentioned_channels_ranges": [
{
"end": 1,
"start": 1
}
],
"mentioned_profiles": [
{
"fid": 3,
"custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"display_name": "<string>",
"pfp_url": "<string>",
"score": 123,
"username": "<string>"
}
],
"mentioned_profiles_ranges": [
{
"end": 1,
"start": 1
}
]
},
"banner": {
"url": "<string>"
},
"live_at": {
"is_live": true,
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>"
},
"location": {
"latitude": 0,
"longitude": 0,
"address": {
"city": "<string>",
"country": "<string>",
"country_code": "<string>",
"state": "<string>",
"state_code": "<string>"
},
"radius": 1
}
},
"registered_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"verifications": [
"0x5a927ac639636e534b678e81768ca19e2c6280b7"
],
"verified_accounts": [
{
"username": "<string>"
}
],
"verified_addresses": {
"eth_addresses": [
"0x5a927ac639636e534b678e81768ca19e2c6280b7"
],
"primary": {
"eth_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"sol_address": "<string>"
},
"sol_addresses": [
"<string>"
]
},
"display_name": "<string>",
"experimental": {
"neynar_user_score": 123,
"deprecation_notice": "<string>"
},
"pfp_url": "<string>",
"pro": {
"expires_at": "2023-11-07T05:31:56Z",
"subscribed_at": "2023-11-07T05:31:56Z"
},
"score": 123,
"viewer_context": {
"blocked_by": true,
"blocking": true,
"followed_by": true,
"following": true
}
}
}Node.js SDK
🔗 SDK Method: lookupUserByUsername Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.Authorizations
API key to authorize requests
Headers
Query Parameters
Username of the user to fetch
Example:
"neynar"
Required range:
x >= 1Response
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I